ETSI STF525 / Internal Testing test suite This project provides an internal testing test suite and its associated Test Adapter/Codec

Public Member Functions | List of all members
IVIMPDUCodec Class Reference

`#include <IVIMCodec.hh>`

Inheritance diagram for IVIMPDUCodec:

## Public Member Functions
| IVIMPDUCodec ()
virtual int | encode (const IVIM__PDU__Descriptions::IVIM &ivim, BITSTRING &data)
| Encode TITAN message into ASN.1 PER message. More...
virtual int | decode (const BITSTRING &data, IVIM__PDU__Descriptions::IVIM &)
| Decode ASN.1 PER message into TITAN message. More...

## Additional Inherited Members
Protected Member Functions inherited from per_code< IVIM__PDU__Descriptions::IVIM >
int | _decode (const TTCN_Typedescriptor_t &ttcn, const asn_TYPE_descriptor_s &td, const BITSTRING &p_data, IVIM__PDU__Descriptions::IVIM &msg)
int | _encode (const TTCN_Typedescriptor_t &ttcn, const asn_TYPE_descriptor_s &td, const IVIM__PDU__Descriptions::IVIM &msg, BITSTRING &p_data)
Protected Member Functions inherited from asn1_recode_per
int | ber2per (const asn_TYPE_descriptor_s &td, TTCN_Buffer &buf)
int | per2ber (const asn_TYPE_descriptor_s &td, TTCN_Buffer &buf)
int | recode (const asn_TYPE_descriptor_s &td, int from, int to, TTCN_Buffer &buf)

## Constructor & Destructor Documentation

## ◆ IVIMPDUCodec()

IVIMPDUCodec::IVIMPDUCodec | ( |  | ) |
| inline explicit

## Member Function Documentation

## ◆ decode()

int IVIMPDUCodec::decode | ( | const BITSTRING & | p_bitstring,
|  | IVIM__PDU__Descriptions::IVIM & | p_message
| ) |  |
| virtual

Decode ASN.1 PER message into TITAN message.

Parameters

  [in] | p_bitstring | The network message in bit string format to decode
  [out] | p_message | The PDU message

Implements per_code< IVIM__PDU__Descriptions::IVIM >.

## ◆ encode()

int IVIMPDUCodec::encode | ( | const IVIM__PDU__Descriptions::IVIM & | p_message,
|  | BITSTRING & | p_bitstring
| ) |  |
| virtual

Encode TITAN message into ASN.1 PER message.

Parameters

  [in] | p_message | The PDU message to encode
  [out] | p_bitstring | The encoded PDU message in bit string format

Implements per_code< IVIM__PDU__Descriptions::IVIM >.

The documentation for this class was generated from the following files:

- /home/vagrant/TriesAndDelete/etsi_its/framework/include/IVIMCodec.hh
- /home/vagrant/TriesAndDelete/etsi_its/framework/src/IVIMCodec.cc